본문으로 건너뛰기
G 기그 Open API v1

API 레퍼런스

사용량

자신의 API 사용량을 조회한다. 스코프가 필요 없다.

사용량 조회

GET /usage 없음

기간별 호출 수와 응답 행 수를 조회한다.

쿼리 파라미터

이름타입설명
from 필수date조회 시작일
to 필수date조회 종료일
group_by enumday | endpoint. 기본 day
cURL
curl -sS "https://developer.openapi.giig.app/api/v1/usage?from=&to=" \
  -H "Authorization: Bearer $GIG_ACCESS_TOKEN"
200 OK · application/json
{
  "period": { "from": "", "to": "" },
  "totals": { "call_count": 18422, "row_count": 1204331, "error_count": 12 },
  "limits": {
    "requests_per_minute": 60,
    "requests_per_day": 10000,
    "rows_per_month": 5000000,
    "linked_stores": { "used": 3, "max": 10 }
  },
  "series": [
    { "date": "", "call_count": 612, "row_count": 40122, "error_count": 0 }
  ]
}
에러 · application/json
{
  "error": {
    "code": "range_too_large",
    "message": "...",
    "request_id": "req_01J8XQ4M2N7P"
  }
}